<!-- LMML 10 DBT Specifics Module .................................... -->
<!-- file: LMML10-DBT-spec-10.mod .....................................-->
<!--
    This is the modular Learning Material Markup Language, an implementation
    of the XML binding of the teachware-specific meta-model described in
    Christian Suess, Adaptive Knowledge Management: A Meta-Modeling
    Approach and its Binding to XML". In: Proceedings 11. Workshop Grundlagen
    von Datenbanken, Arbeitskreis Grundlagen von Informationssystemen im
    GI-Fachausschuss 2.5, Ploen, Germany, 2000,
    http://daisy.fmi.uni-passau.de/db/literatur.php3?key=S00

    This is a module file corresponding to the modularization mechanism as
    defined in "Building XHTML Modules",  W3C Working Draft 5 January 2000 ,
    http://www.w3.org/TR/2000/WD-xhtml-building-20000105

    Please use this formal public identifier to identify it:
        "-//DE.UNI-PASSAU.DAISY//DTD LMML10 CS Specifics 10//EN"
    Please use this formal system identifier to identify it:
        "LMML10-CS-spec-10.mod"

    Author:        Stefan Winter <winters@fmi.uni-passau.de> 
                        Christian Suess <suess@fmi.uni-passau.de>
    Date:           Friday 25-May-2000   
    Last Changes:   Friday 25-May-2000

    This is SUBJECT TO CHANGE, pending final approval.
    Please send your questions, bug reports, comments, or
    suggestions for changes to suess@fmi.uni-passau.de
-->
<!--
    Database Theory Specifics
    provide declarations of elements and attributs specific for the domain of learning and teaching
    database theory, e.g. elements specifying SQL code.
-->
<!--
 _______________________________________________________________________
|                                                   
|   Copyright 1999-2000 DAISY, University of Passau, Germany       
|   
|   All rights reserved.
|                                   
|   Permission to use, copy, modify, and distribute this document for
|   any purposes and without fee is hereby granted in perpetuity,
|   provided that the above copyright notice and this permission notice
|   appear in all copies of this document. 
|                                   
|   WE PROVIDE THIS DOCUMENT TO USER "AS IS."  WE DISCLAIM ALL  
|   WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO THIS DOCUMENT,  
|   INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   
|   PARTICULAR PURPOSE.  IN NO EVENT SHALL WE BE LIABLE FOR ANY 
|   DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,    
|   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA, OR  
|   PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER 
|   TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OF    
|   THIS DOCUMENT.
|
|   If you modify the LMML modules and drivers in any way, label your DTDs
|   as a variant of LMML.
|_______________________________________________________________________
-->
<!--================ imported entities ===============================-->
<!-- from module LMML10-metadata-10.mod -->
<!ENTITY % Label.attrib "">
<!ENTITY % Title.attrib "">
<!-- from module LMML10-datatypes-10.mod -->
<!ENTITY % Text.datatype "">
<!-- :::::::::::::::::::::::::::::SQL::::::::::::::::::::::::::::::::::::::::: -->
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::Selectstatement:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT selectstatement (select, from, where?, group?, having?, order?)>
<!ATTLIST selectstatement
	%Label.attrib; 
>
<!ELEMENT select (#PCDATA  | selectstatement)*>
<!ELEMENT from (#PCDATA)*>
<!ELEMENT where (#PCDATA  | selectstatement)*>
<!ELEMENT order (#PCDATA)*>
<!ELEMENT having (#PCDATA)*>
<!ELEMENT group (#PCDATA)*>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::sqltable:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT sqltable (#PCDATA)*>
<!ATTLIST sqltable
	%Label.attrib; 
>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::relation:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT relation (key, column*)>
<!ATTLIST relation
	%Title.attrib; 
	%Label.attrib; 
>
<!ELEMENT key (#PCDATA)>
<!ELEMENT column (#PCDATA)>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::createtable:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT createtable (column*, condition*)+>
<!ATTLIST createtable
	%Title.attrib; 
	%Label.attrib; 
>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::altertable:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT altertable (column*, condition*)>
<!ATTLIST altertable
	%Title.attrib; 
	%Label.attrib; 
>
<!ELEMENT condition (#PCDATA)*>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::droptable:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT droptable EMPTY>
<!ATTLIST droptable
	%Title.attrib; 
	%Label.attrib; 
>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::createview:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT createview (column*, selectstatement)>
<!ATTLIST createview
	%Title.attrib; 
	%Label.attrib; 
>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::dropview:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT dropview EMPTY>
<!ATTLIST dropview
	%Title.attrib; 
	%Label.attrib; 
>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::insert:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT insert (column*, (values | selectstatement))>
<!ATTLIST insert
	%Title.attrib; 
	%Label.attrib; 
>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::delete:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT delete (where)*>
<!ATTLIST delete
	%Title.attrib; 
	%Label.attrib; 
>
<!-- ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!-- :::::::::::::::::::::::::::update:::::::::::::::::::::::::::::::::::::::::::: -->
<!ELEMENT update (set, where)*>
<!ATTLIST update
	%Title.attrib; 
	%Label.attrib; 
>
<!ELEMENT set (#PCDATA)>
<!ELEMENT values (#PCDATA)>
<!-- end of LMML10-DBT-spec-10.mod -->
