<!-- LMML 1.0 Datatypes Module  .............................................. -->
<!-- file: LMML10-datatypes-10.mod ........................................... -->
<!--
    This is the modular Learning Material Markup Language, an implementation
    of the XML binding of the teachware-specific meta-model described in
    Christian Suess, Adaptive Knowledge Management: A Meta-Modeling
    Approach and its Binding to XML". In: Proceedings 11. Workshop Grundlagen
    von Datenbanken, Arbeitskreis Grundlagen von Informationssystemen im
    GI-Fachausschuss 2.5, Ploen, Germany, 2000,
    http://daisy.fmi.uni-passau.de/db/literatur.php3?key=S00

    This is a module file corresponding to the modularization mechanism as
    defined in "Building XHTML Modules",  W3C Working Draft 5 January 2000 ,
    http://www.w3.org/TR/2000/WD-xhtml-building-20000105

    Please use this formal public identifier to identify it:
        "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Datatypes 1.0//EN"
    Please use this formal system identifier to identify it:
        "LMML10-datatypes-10.mod"

    Author:         Christian Suess <suess@fmi.uni-passau.de>
    Date:           Wednesday 12-Apr-2000   
    Last Changes:   Monday 15-May-2000
    
    Credits:        Modification of  -//W3C//ENTITIES XHTML 1.1 Datatypes 1.0//EN

    This is SUBJECT TO CHANGE, pending final approval.
    Please send your questions, bug reports, comments, or
    suggestions for changes to suess@fmi.uni-passau.de
-->
<!--
    Datatypes 
    defines containers for the following datatypes, many of
    these imported from other specifications and standards.
-->
<!--
 _______________________________________________________________________
|                                                   
|   Copyright 1999-2000 Christian Suess, University of Passau, Germany       
|   
|   All rights reserved.
|                                   
|   Permission to use, copy, modify, and distribute this document for
|   any purposes and without fee is hereby granted in perpetuity,
|   provided that the above copyright notice and this permission notice
|   appear in all copies of this document. 
|                                   
|   WE PROVIDE THIS DOCUMENT TO USER "AS IS."  WE DISCLAIM ALL  
|   WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO THIS DOCUMENT,  
|   INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   
|   PARTICULAR PURPOSE.  IN NO EVENT SHALL WE BE LIABLE FOR ANY 
|   DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,    
|   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA, OR  
|   PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER 
|   TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OF    
|   THIS DOCUMENT.
|
|   If you modify the LMML modules and drivers in any way, label your DTDs
|   as a variant of LMML.
|_______________________________________________________________________
-->
<!-- Defined Datatypes................................-->
<!-- one or more digits (NUMBER) -->
<!ENTITY % Number.datatype "CDATA">
<!-- textual content -->
<!ENTITY % Text.datatype "CDATA">
<!-- bool content -->
<!ENTITY % Bool.datatype "(true | false)">
<!-- Imported Datatypes ................................ -->
<!-- a single character from [ISO10646] -->
<!ENTITY % Character.datatype "CDATA">
<!-- a character encoding, as per [RFC2045] -->
<!ENTITY % Charset.datatype "CDATA">
<!-- a space separated list of character encodings, as per [RFC2045] -->
<!ENTITY % Charsets.datatype "CDATA">
<!-- media type, as per [RFC2045] -->
<!ENTITY % ContentType.datatype "CDATA">
<!-- comma-separated list of media types, as per [RFC2045] -->
<!ENTITY % ContentTypes.datatype "CDATA">
<!-- date and time information. ISO date format -->
<!ENTITY % Datetime.datatype "CDATA">
<!-- a language code, as per [RFC1766] -->
<!ENTITY % LanguageCode.datatype "NMTOKEN">
<!-- a Uniform Resource Identifier, see [URI] -->
<!ENTITY % URI.datatype "CDATA">
<!-- a list of Uniform Resource Identifiers, see [URI] -->
<!ENTITY % URIs.datatype "CDATA">
<!-- end of LMML10-datatypes-10.mod -->
