<!-- LMML 1.0 Modular Framework Module  ....................................... -->
<!-- file: LMML10-framework-10.mod ............................................ -->
<!--
    This is the modular Learning Material Markup Language, an implementation
    of the XML binding of the teachware-specific meta-model described in
    Christian Suess, Adaptive Knowledge Management: A Meta-Modeling
    Approach and its Binding to XML". In: Proceedings 11. Workshop Grundlagen
    von Datenbanken, Arbeitskreis Grundlagen von Informationssystemen im
    GI-Fachausschuss 2.5, Ploen, Germany, 2000,
    http://daisy.fmi.uni-passau.de/db/literatur.php3?key=S00

    This is a module file corresponding to the modularization mechanism as
    defined in "Building XHTML Modules",  W3C Working Draft 5 January 2000 ,
    http://www.w3.org/TR/2000/WD-xhtml-building-20000105

    Please use this formal public identifier to identify it:
        "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Modular Framework 1.0//EN"
    Please use this formal system identifier to identify it:
        "LMML10-framework-10.mod"

    Author:         Christian Suess <suess@fmi.uni-passau.de>
    Date:           Wednesday 12-Apr-2000   
    Last Changes:   Monday 15-May-2000

    This is SUBJECT TO CHANGE, pending final approval.
    Please send your questions, bug reports, comments, or
    suggestions for changes to suess@fmi.uni-passau.de
-->
<!--
    Modular Framework
    is required by all LMML content DTDs. It instantiates the
    modules needed to support the LMML modularization model, including:

                 +  characters 
                 +  datatypes
                 +  metadata
                 +  multimedia
                 +  links
                 +  tables
                 +  lists
                 +  conceptual model
-->
<!--
 _______________________________________________________________________
|                                                   
|   Copyright 1999-2000 Christian Suess, University of Passau, Germany       
|   
|   All rights reserved.
|                                   
|   Permission to use, copy, modify, and distribute this document for
|   any purposes and without fee is hereby granted in perpetuity,
|   provided that the above copyright notice and this permission notice
|   appear in all copies of this document. 
|                                   
|   WE PROVIDE THIS DOCUMENT TO USER "AS IS."  WE DISCLAIM ALL  
|   WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO THIS DOCUMENT,  
|   INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   
|   PARTICULAR PURPOSE.  IN NO EVENT SHALL WE BE LIABLE FOR ANY 
|   DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,    
|   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA, OR  
|   PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER 
|   TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OF    
|   THIS DOCUMENT.
|
|   If you modify the LMML modules and drivers in any way, label your DTDs
|   as a variant of LMML.
|_______________________________________________________________________
-->
<!--================ LMML modules ==================================-->
<!--================ LMML character entities =======================-->
<!ENTITY % lmml-charent.module "INCLUDE">
<![%lmml-charent.module;[
         <!ENTITY % lmml-charent.mod
           PUBLIC "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Character Entities 1.0//EN"
                  "LMML10-charent-10.mod" >
         %lmml-charent.mod;]]>
<!--================ LMML datatypes =================================-->
<!ENTITY % lmml-datatypes.module "INCLUDE">
<![%lmml-datatypes.module;[
         <!ENTITY % lmml-datatypes.mod
           PUBLIC "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Datatypes 1.0//EN"
                  "LMML10-datatypes-10.mod">
         %lmml-datatypes.mod;]]>
<!--================ LMML metadata =================================-->
<!ENTITY % lmml-metadata.module "INCLUDE">
<![%lmml-metadata.module;[
         <!ENTITY % lmml-metadata.mod
           PUBLIC "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Metadata 1.0//EN"
                  "LMML10-metadata-10.mod" >
         %lmml-metadata.mod;]]>
<!--================ LMML multimedia ===============================-->
<!ENTITY % lmml-multimedia.module "INCLUDE">
<![%lmml-multimedia.module;[
         <!ENTITY % lmml-multimedia.mod
           PUBLIC "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Multimedia 1.0//EN"
                  "LMML10-multimedia-10.mod" >
         %lmml-multimedia.mod;]]>
<!--================================================================-->
<!ENTITY % Inline.extra "">
<!ENTITY % Inline.nolink.class "| emph | quot %Inline.extra;">
<!--================ LMML link =====================================-->
<!ENTITY % lmml-link.module "INCLUDE">
<![%lmml-link.module;[
         <!ENTITY % lmml-link.mod
           PUBLIC "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Link 1.0//EN"
                  "LMML10-link-10.mod" >
         %lmml-link.mod;]]>
<!--================================================================-->
<!ENTITY % Inline.class "%Inline.nolink.class; %Link.class;">
<!--================ LMML table ====================================-->
<!ENTITY % lmml-table.module "INCLUDE">
<![%lmml-table.module;[
         <!ENTITY % lmml-table.mod
           PUBLIC "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Table 1.0//EN"
                  "LMML10-table-10.mod" >
         %lmml-table.mod;]]>
<!--================================================================-->
<!ENTITY % Incontentobject.nolist.class "%Table.class; %Multimedia.class; %Inline.class;">
<!--================ LMML list =====================================-->
<!ENTITY % lmml-list.module "INCLUDE">
<![%lmml-list.module;[
         <!ENTITY % lmml-list.mod
           PUBLIC "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 List 1.0//EN"
                  "LMML10-list-10.mod" >
         %lmml-list.mod;]]>
<!--================================================================-->
<!ENTITY % Incontentobject.extra "">
<!ENTITY % Incontentobject.class "%Table.class; %List.class; %Multimedia.class; %Inline.class; %Incontentobject.extra;">
<!--================ LMML cmodel ====================================-->
<!ENTITY % lmml-cmodel.module "INCLUDE">
<![%lmml-cmodel.module;[
         <!ENTITY % lmml-cmodel.mod
           PUBLIC "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Conceptual Model 1.0//EN"
                  "LMML10-cmodel-10.mod" >
         %lmml-cmodel.mod;]]>
<!-- end of LMML10-framework-10.mod -->
