<!-- LMML 1.0 List Module  ............................................... -->
<!-- file: LMML10-list-10.mod ............................................ -->

<!--
    This is the modular Learning Material Markup Language, an implementation
    of the XML binding of the teachware-specific meta-model described in
    Christian Suess, Adaptive Knowledge Management: A Meta-Modeling
    Approach and its Binding to XML". In: Proceedings 11. Workshop Grundlagen
    von Datenbanken, Arbeitskreis Grundlagen von Informationssystemen im
    GI-Fachausschuss 2.5, Ploen, Germany, 2000,
    http://daisy.fmi.uni-passau.de/db/literatur.php3?key=S00

    This is a module file corresponding to the modularization mechanism as
    defined in "Building XHTML Modules",  W3C Working Draft 5 January 2000 ,
    http://www.w3.org/TR/2000/WD-xhtml-building-20000105

    Please use this formal public identifier to identify it:
        "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 List 1.0//EN"
    Please use this formal system identifier to identify it:
        "LMML10-list-10.mod"

    Author:         Christian Suess <suess@fmi.uni-passau.de>
    Date:           Wednesday 12-Apr-2000   
    Last Changes:   Monday 15-May-2000

    Credits:        Modification of  -//W3C//ENTITIES XHTML 1.1 List 1.0//EN

    This is SUBJECT TO CHANGE, pending final approval.
    Please send your questions, bug reports, comments, or
    suggestions for changes to suess@fmi.uni-passau.de
-->
<!-- 
    List
    declares the list-oriented element types dlist, ulist, olist
    and their attributes.
-->
<!--
 _______________________________________________________________________
|                                                   
|   Copyright 1999-2000 Christian Suess, University of Passau, Germany       
|   
|   All rights reserved.
|                                   
|   Permission to use, copy, modify, and distribute this document for
|   any purposes and without fee is hereby granted in perpetuity,
|   provided that the above copyright notice and this permission notice
|   appear in all copies of this document. 
|                                   
|   WE PROVIDE THIS DOCUMENT TO USER "AS IS."  WE DISCLAIM ALL  
|   WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO THIS DOCUMENT,  
|   INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   
|   PARTICULAR PURPOSE.  IN NO EVENT SHALL WE BE LIABLE FOR ANY 
|   DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,    
|   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA, OR  
|   PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER 
|   TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OF    
|   THIS DOCUMENT.
|
|   If you modify the LMML modules and drivers in any way, label your DTDs
|   as a variant of LMML.
|_______________________________________________________________________
-->
<!ENTITY % List.class "| dlist | olist | ulist">
<!--================ imported entities ===============================-->
<!-- from module LMML10-metadata-10.mod -->
<!ENTITY % optTitle.attrib "">
<!ENTITY % Label.attrib "">
<!-- from module LMML10-framework-10.mod -->
<!ENTITY % Inline.class "">
<!ENTITY % Incontentobject.nolist.class "">

<!-- ===== Definition List ========================================= -->
<!ENTITY % Dlist.content "( dt | dd )+">
<!ELEMENT dlist %Dlist.content;>
<!ATTLIST dlist
    %optTitle.attrib; 
    %Label.attrib;
>
<!ENTITY % Dt.content "( #PCDATA)*">
<!ELEMENT dt %Dt.content;>
<!ATTLIST dt
    %optTitle.attrib; 
    %Label.attrib;
>
<!ENTITY % Dd.content "( #PCDATA %Incontentobject.nolist.class; %List.class;)*">
<!ELEMENT dd %Dd.content;>
<!ATTLIST dd
    %optTitle.attrib; 
    %Label.attrib;
>
<!-- ===== Ordered List (enumeration) =============================== -->
<!ENTITY % Olist.content "( item )+">
<!ELEMENT olist %Olist.content;>
<!ATTLIST olist
    %optTitle.attrib; 
    %Label.attrib;
>
<!-- ===== Unordered List (itemization) ============================= -->
<!ENTITY % Ulist.content "( item )+">
<!ELEMENT ulist %Ulist.content;>
<!ATTLIST ulist
    %optTitle.attrib; 
    %Label.attrib;
>
<!-- ===== List Item ================================================ -->
<!ENTITY % Item.content "( #PCDATA %Incontentobject.nolist.class;  %List.class;)*">
<!ELEMENT item %Item.content;>
<!ATTLIST item
    %Label.attrib;
>

<!-- end of LMML10-list-10.mod -->
