<!-- LMML 1.0 Metadata Module  .................................. -->
<!-- file: LMML10-metadata-10.mod ................................-->

<!--
    This is the modular Learning Material Markup Language, an implementation
    of the XML binding of the teachware-specific meta-model described in
    Christian Suess, Adaptive Knowledge Management: A Meta-Modeling
    Approach and its Binding to XML". In: Proceedings 11. Workshop Grundlagen
    von Datenbanken, Arbeitskreis Grundlagen von Informationssystemen im
    GI-Fachausschuss 2.5, Ploen, Germany, 2000,
    http://daisy.fmi.uni-passau.de/db/literatur.php3?key=S00

    This is a module file corresponding to the modularization mechanism as
    defined in "Building XHTML Modules",  W3C Working Draft 5 January 2000 ,
    http://www.w3.org/TR/2000/WD-xhtml-building-20000105

    Please use this formal public identifier to identify it:
        "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Metadata 1.0//EN"
    Please use this formal system identifier to identify it:
        "LMML10-metadata-10.mod"

    Author:         Christian Suess <suess@fmi.uni-passau.de>
    Date:           Wednesday 12-Apr-2000   
    Last Changes:   Monday 15-May-2000

    This is SUBJECT TO CHANGE, pending final approval.
    Please send your questions, bug reports, comments, or
    suggestions for changes to suess@fmi.uni-passau.de
-->

<!--
        Metadata
        declares many of the meta data attributes for the LMML DTDs. It
        allows the integration of additional metadata declarations coming from XML
        bindings of standards like IMS, ARIADNE or the forthcoming IEEE LOM.
-->
<!--
 _______________________________________________________________________
|                                                   
|   Copyright 1999-2000 Christian Suess, University of Passau, Germany       
|   
|   All rights reserved.
|                                   
|   Permission to use, copy, modify, and distribute this document for
|   any purposes and without fee is hereby granted in perpetuity,
|   provided that the above copyright notice and this permission notice
|   appear in all copies of this document. 
|                                   
|   WE PROVIDE THIS DOCUMENT TO USER "AS IS."  WE DISCLAIM ALL  
|   WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO THIS DOCUMENT,  
|   INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   
|   PARTICULAR PURPOSE.  IN NO EVENT SHALL WE BE LIABLE FOR ANY 
|   DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,    
|   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA, OR  
|   PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER 
|   TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OF    
|   THIS DOCUMENT.
|
|   If you modify the LMML modules and drivers in any way, label your DTDs
|   as a variant of LMML.
|_______________________________________________________________________
-->
<!--================ imported entities ===============================-->
<!-- from module LMML10-datatypes-10.mod -->
<!ENTITY % Text.datatype "">
<!ENTITY % Datetime.datatype "">
<!ENTITY % LanguageCode.datatype "">
<!ENTITY % Bool.datatype "">
<!ENTITY % URI.datatype "">
<!--===================================================================-->
<!-- Logical identifier used in links -->
<!ENTITY % Label.attrib "label ID  #IMPLIED">
<!-- Obligatory title ...........................-->
<!ENTITY % Title.attrib "title  %Text.datatype; #REQUIRED">
<!-- Optional title.. ...........................-->
<!ENTITY % optTitle.attrib "title  %Text.datatype; #IMPLIED">
<!-- Auhtor / creator ...............-->
<!ENTITY % Author.attrib "author    %Text.datatype;    #REQUIRED">
<!-- Optional auhtor / creator ...............-->
<!ENTITY % optAuthor.attrib "author    %Text.datatype;    #IMPLIED">
<!-- Audience of remarks etc. ........-->
<!ENTITY % Audience.attrib "audience  (students|teachers)     #IMPLIED">
<!-- Restrictions ...................-->
<!ENTITY % Restriction.attrib "restriction     %Text.datatype;    #IMPLIED">
<!-- Timestamps .................... -->
<!ENTITY % Timestamps.attrib "
    creationTime    %Datetime.datatype;       #IMPLIED
    modifiedTime    %Datetime.datatype;       #IMPLIED
    releaseTime     %Datetime.datatype;       #IMPLIED
    expirationTime  %Datetime.datatype;       #IMPLIED">
<!-- Content metadata .............. -->
<!ENTITY % Content.attrib "language %LanguageCode.datatype; #IMPLIED
    topics          %Text.datatype;       #IMPLIED
    discipline      %Text.datatype;       #IMPLIED">
<!-- Pedagogics attributes ..........-->
<!ENTITY % Pedagogics.attrib "difficulty     (low|medium|high)       #IMPLIED
    theoretical             %Bool.datatype;             #IMPLIED
    related2practice        %Bool.datatype;             #IMPLIED
    formality               (low|medium|high)           #IMPLIED
    abstraction             (low|medium|high)           #IMPLIED">

<!-- Metadata from standards like IMS, ARIADNE or the forthcoming IEEE LOM -->
<!ENTITY % ThirdPartyMetadata.attrib "">
<!-- ConceptualProperties
     are metadata describing ConceptualUnits, ContentObjects, Relationships.
     See LMML10-cmodel-10.mod.
-->
<!ENTITY % Conceptualunit.attrib "
     %Author.attrib;
     %Title.attrib;
     %Timestamps.attrib;
     %Content.attrib;
     %Pedagogics.attrib;
     ">
<!ENTITY % Contentobject.attrib "
     %optTitle.attrib;
     %Label.attrib;
     topics          %Text.datatype;       #IMPLIED
     %Pedagogics.attrib;
     ">
     
     
<!--     
     ModuleProperties
     are metadata describing StructureModules, BasicModules, Links.
     See LMML10-cmodel-10.mod.
-->
<!ENTITY % Moduleproperties.attrib "%Label.attrib;
     %optAuthor.attrib;
     %optTitle.attrib;
     %Timestamps.attrib;
     %Content.attrib;
     %Pedagogics.attrib;
     viewspec %URI.datatype; #IMPLIED
     ">
<!-- end of LMML10-metadata-10.mod -->
