<!-- LMML 1.0 Structure Model Module  .................................. -->
<!-- file: LMML10-smodel-10.mod.............................-->
<!--
    This is the modular Learning Material Markup Language, an implementation
    of the XML binding of the teachware-specific meta-model described in
    Christian Suess, Adaptive Knowledge Management: A Meta-Modeling
    Approach and its Binding to XML". In: Proceedings 11. Workshop Grundlagen
    von Datenbanken, Arbeitskreis Grundlagen von Informationssystemen im
    GI-Fachausschuss 2.5, Ploen, Germany, 2000,
    http://daisy.fmi.uni-passau.de/db/literatur.php3?key=S00

    This is a module file corresponding to the modularization mechanism as
    defined in "Building XHTML Modules",  W3C Working Draft 5 January 2000 ,
    http://www.w3.org/TR/2000/WD-xhtml-building-20000105

    Please use this formal public identifier to identify it:
        "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Structure Model 1.0//EN"
    Please use this formal system identifier to identify it:
        "LMML10-smodel-10.mod"

    Author:         Christian Suess <suess@fmi.uni-passau.de>
    Date:           Wednesday 12-Apr-2000   
    Last Changes:   Monday 15-May-2000

    This is SUBJECT TO CHANGE, pending final approval.
    Please send your questions, bug reports, comments, or
    suggestions for changes to suess@fmi.uni-passau.de
-->

<!--
        Structure
        implements the XML Binding of the modular structure of teachware formaly known as LMSML.
        It defines the major structural elements of teachware and their attributes.
-->
<!--
 _______________________________________________________________________
|                                                   
|   Copyright 1999-2000 Christian Suess, University of Passau, Germany       
|   
|   All rights reserved.
|                                   
|   Permission to use, copy, modify, and distribute this document for
|   any purposes and without fee is hereby granted in perpetuity,
|   provided that the above copyright notice and this permission notice
|   appear in all copies of this document. 
|                                   
|   WE PROVIDE THIS DOCUMENT TO USER "AS IS."  WE DISCLAIM ALL  
|   WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO THIS DOCUMENT,  
|   INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   
|   PARTICULAR PURPOSE.  IN NO EVENT SHALL WE BE LIABLE FOR ANY 
|   DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,    
|   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA, OR  
|   PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER 
|   TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OF    
|   THIS DOCUMENT.
|
|   If you modify the LMML modules and drivers in any way, label your DTDs
|   as a variant of LMML.
|_______________________________________________________________________
-->
<!--================ imported entities ===============================-->
<!-- from module LMML10-datatypes-10.mod -->
<!ENTITY % URI.datatype "">
<!-- from module LMML10-metadata-10.mod -->
<!ENTITY % Moduleproperties.attrib "">
<!--================ BasicModule ==========================================-->
<!-- A BasicModul is a leaf of the polyhierarchical hyperstructure described by a
     certain structure model file. It is a reference to an external file describing
     a conceptualUnit, i.e. contains the URI of that file. That file describes with
     LMML10-CS a conceptualUnit from %Conceptualunit.class; which is declared in
     LMML10-cmodel-10.mod.
-->
<!ELEMENT basicModule EMPTY>
<!ATTLIST basicModule
    %Moduleproperties.attrib;
    uri %URI.datatype; #REQUIRED
>
 
<!-- additional attrib: sort order (by title, by author etc.) -->
<!--================ constructivistic StructureModules ===================================-->
<!--================ StructureModule Glossary ===================================-->
<!ENTITY % Glossary.content.extra "">
<!ENTITY % Glossary.content "basicModule %Glossary.content.extra;">
<!ELEMENT glossary (%Glossary.content;)+>
<!ATTLIST glossary
    %Moduleproperties.attrib;
    strategy (beh | con) #FIXED "con"
>
<!--================ StructureModule Collection ===================================-->
<!ENTITY % Collection.content.extra "">
<!ENTITY % Collection.content "(collection | course | guidedTour | basicModule %Collection.content.extra; )+">
<!ELEMENT collection (%Collection.content;)+>
<!ATTLIST collection
    %Moduleproperties.attrib;
    strategy (beh | con) #FIXED "con"
>
<!--================ behaviouristic StructureModules ===================================-->
<!--================ StructureModule GuidedTour ===================================-->
<!ENTITY % Guidedtour.content.extra "">
<!ENTITY % Guidedtour.content "(basicModule %Guidedtour.content.extra; )+">
<!ELEMENT guidedTour (%Guidedtour.content;)+>
<!ATTLIST guidedTour
    %Moduleproperties.attrib;
    strategy (beh | con) #FIXED "beh"
>
<!--================ StructureModule Course  =====================================-->
<!ENTITY % Course.content.extra "">
<!ENTITY % Course.content "section | basicModule %Course.content.extra;">
<!ELEMENT course (%Course.content;)+>
<!ATTLIST course
    %Moduleproperties.attrib;
    strategy (beh | con) #FIXED "beh"
>
<!ENTITY % Section.content.extra "">
<!ENTITY % Section.content "section | basicModule %Section.content.extra;">
<!ELEMENT section (%Section.content;)+>
<!ATTLIST section
    %Moduleproperties.attrib; 
    strategy (beh | con) #FIXED "beh"
>

<!--================ document element content ========================================-->
<!ENTITY % LMML.content "(course | guidedTour | collection | glossary)">
<!-- end of LMML10-smodel-10.mod -->
