<!-- LMML 1.0 Table Module  .................................. -->
<!-- file: LMML10-table-10.mod.............................-->
<!-- LMML 1.0 Modular Framework Module  ....................................... -->
<!-- file: LMML10-framework-10.mod ............................................ -->
<!--
    This is the modular Learning Material Markup Language, an implementation
    of the XML binding of the teachware-specific meta-model described in
    Christian Suess, Adaptive Knowledge Management: A Meta-Modeling
    Approach and its Binding to XML". In: Proceedings 11. Workshop Grundlagen
    von Datenbanken, Arbeitskreis Grundlagen von Informationssystemen im
    GI-Fachausschuss 2.5, Ploen, Germany, 2000,
    http://daisy.fmi.uni-passau.de/db/literatur.php3?key=S00

    This is a module file corresponding to the modularization mechanism as
    defined in "Building XHTML Modules",  W3C Working Draft 5 January 2000 ,
    http://www.w3.org/TR/2000/WD-xhtml-building-20000105

    Please use this formal public identifier to identify it:
        -//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.0 Table 1.0//EN"
    Please use this formal system identifier to identify it:
        "LMML10-table-10.mod"

    Author:         Christian Suess <suess@fmi.uni-passau.de>
    Date:           Wednesday 12-Apr-2000   
    Last Changes:   Monday 15-May-2000

    This is SUBJECT TO CHANGE, pending final approval.
    Please send your questions, bug reports, comments, or
    suggestions for changes to suess@fmi.uni-passau.de
-->

<!--
    Table
    implements simple n-array tuples. They are used e.g. in a ContentObject to
    represent in contents which consist of a set of tuples of the same form, i.e.,
    each tuple has the same number of entries and the position of the entries determine
    their semantics which can be specified in the tableheading element.
    Tables are not designed for producing two-dimensional layouts although this is the
    most straightforward representation. It is not guaranteed that a table is presented
    in a tabular form and it is not possible to specify properties for a tuple set, which
    correspond to visual properties of a table, such as border, cellpadding,
    cellspacing and width knwon from the xhtml basic tables module
    (see also the TUM TeachML Tuple Set Sublanguage)
-->
<!--
 _______________________________________________________________________
|                                                   
|   Copyright 1999-2000 Christian Suess, University of Passau, Germany       
|   
|   All rights reserved.
|                                   
|   Permission to use, copy, modify, and distribute this document for
|   any purposes and without fee is hereby granted in perpetuity,
|   provided that the above copyright notice and this permission notice
|   appear in all copies of this document. 
|                                   
|   WE PROVIDE THIS DOCUMENT TO USER "AS IS."  WE DISCLAIM ALL  
|   WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO THIS DOCUMENT,  
|   INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   
|   PARTICULAR PURPOSE.  IN NO EVENT SHALL WE BE LIABLE FOR ANY 
|   DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,    
|   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA, OR  
|   PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER 
|   TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OF    
|   THIS DOCUMENT.
|
|   If you modify the LMML modules and drivers in any way, label your DTDs
|   as a variant of LMML.
|_______________________________________________________________________
-->
<!--================ imported entities ===============================-->
<!-- from module LMML10-metadata-10.mod -->
<!ENTITY % optTitle.attrib "">
<!ENTITY % Label.attrib "">
<!-- from module LMML10-framework-10.mod -->
<!ENTITY % Inline.class "">
<!--=================== Simple Tables =====================================-->
<!ENTITY % Inline.class "">
<!ELEMENT table (tableheading?, tablerow+)>
<!ATTLIST table
    %optTitle.attrib; 
    %Label.attrib; 
>
<!ELEMENT tableheading (tabledata+)>
<!ELEMENT tablerow (tabledata+)>
<!ELEMENT tabledata (#PCDATA %Inline.class;)*>
<!ENTITY % Table.class "| table">
<!-- end of LMML10-table-10.mod -->
